/*
 * SprinklerZone.java
 *
 * Created on June 29, 2005, 8:30 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package sprinklercontroller;

import dbcontroller.*;

public class SprinklerZone {
    
    private int id;
    private String startTime;
    private String endTime;
    private String color;
    private boolean statusBool;
    private boolean updateBool;
    private boolean enableBool;
    
    private DataControl dc;
    /**
     * Creates a new instance of SprinklerZone 
     */
    public SprinklerZone() {
        setDc(new DataControl("root", "snowball"));
    }
    
    public SprinklerZone(int setId){
        this();
        setId(setId);
        getDataFromDB();
    }
    
    public void getDataFromDB(){
        getDc().query("select * from sprinkle where id="+getId());
        java.sql.ResultSet rs = getDc().getResultSet();
        try{
            rs.next();
            setStartTime(rs.getString("start_time"));
            setEndTime(rs.getString("end_time"));
            setColor(rs.getString("color"));
            setStatusBool((rs.getInt("status_bool") == 1) ? true : false);
            setUpdateBool((rs.getInt("update_bool") == 1) ? true : false);
            setEnableBool((rs.getInt("enable_bool") == 1) ? true : false);
        }
        catch(Exception e){
            System.out.println(e.getMessage());
        }
    }
   
    public void updateDB(){
        try{
            getDc().getResultSet().updateString("start_time", startTime);
            getDc().getResultSet().updateString("end_time", endTime);
            getDc().getResultSet().updateString("color", color);
            getDc().getResultSet().updateInt("status_bool", (statusBool) ? 1 : 0);
            getDc().getResultSet().updateInt("update_bool", (updateBool) ? 1 : 0);
            getDc().getResultSet().updateInt("enable_bool", (enableBool) ? 1 : 0);   
            getDc().getResultSet().updateRow();
        }
        catch(Exception e){
            System.out.println(e.getMessage());
        }
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public boolean isStatusBool() {
        return statusBool;
    }

    public void setStatusBool(boolean statusBool) {
        this.statusBool = statusBool;
    }

    public boolean isUpdateBool() {
        return updateBool;
    }

    public void setUpdateBool(boolean updateBool) {
        this.updateBool = updateBool;
    }

    public boolean isEnableBool() {
        return enableBool;
    }

    public void setEnableBool(boolean enableBool) {
        this.enableBool = enableBool;
    }

    public DataControl getDc() {
        return dc;
    }

    public void setDc(DataControl dc) {
        this.dc = dc;
    }
}
