<?php
require("Sajax.php");
require("sprinkler_connect.php");

function update_data($sh, $sm, $sampm, $eh, $em, $eampm, $enable)
{
	$start_hour = split("," , $sh);
	$start_min = split("," , $sm);
	$start_AMPM = split("," , $sampm);
	$end_hour = split("," , $eh);
	$end_min = split("," , $em);
	$end_AMPM = split("," , $eampm);
	$enable_disable = split("," , $enable);
	
	for($i=0; $i<5; $i++)
	{
		$temp_start_time = $start_hour[$i].":".$start_min[$i].":".$start_AMPM[$i];
		$temp_end_time = $end_hour[$i].":".$end_min[$i].":".$end_AMPM[$i];
		$sc = new sprinkler_connect($i+1);
		$sc->start_time = $temp_start_time;
		$sc->end_time = $temp_end_time;
		$sc->enable_bool = ($enable_disable[$i] == "true" ? 1 : 0);
		$num = $sc->update_db();
	}
}

function manual_on($id)
{
	$sc = new sprinkler_connect($id);
	$sc->update_bool = 1;
	$sc->status_bool = 1;
	$sc->update_db();
	return $id;
}

function manual_off($id)
{
	$sc = new sprinkler_connect($id);
	$sc->update_bool = 1;
	$sc->status_bool = 0;
	$sc->update_db();	
	return $id;
}

sajax_init();
sajax_export("update_data");
sajax_export("manual_on");
sajax_export("manual_off");
sajax_handle_client_request();

?>

<html>
<head>
	<script>
	
	<?php
	sajax_show_javascript();
	?>
	var z=0;
	function do_update_data_cb()
	{
		document.getElementById("temp").innerHTML = "You have updated the database " + z + " times.";

	}
	
	function do_update_data()
	{		
		z++;
		var i;
		var start_hour = new Array(5);
		var start_min = new Array(5);
		var start_AMPM = new Array(5);
		var end_hour = new Array(5);
		var end_min = new Array(5);
		var end_AMPM = new Array(5);
		var enable_disable = new Array(5);
						
		for(i=0; i<5; i++)
		{
			start_hour[i] = document.getElementById("start_hour_"+(i+1)).value;
			start_min[i] = document.getElementById("start_min_"+(i+1)).value;
			start_AMPM[i] = document.getElementById("start_AMPM_"+(i+1)).value;
			end_hour[i] = document.getElementById("end_hour_"+(i+1)).value;
			end_min[i] = document.getElementById("end_min_"+(i+1)).value;
			end_AMPM[i] = document.getElementById("end_AMPM_"+(i+1)).value;	
			enable_disable[i] = document.getElementById("enable_disable_"+(i+1)).checked;	
		}
		x_update_data(start_hour, start_min, start_AMPM, end_hour, end_min, end_AMPM, enable_disable, do_update_data_cb);
	}
	
	function do_manual_on_cb(id)
	{
		do_update_data_cb();
		document.getElementById("curr_stat_id_"+id).innerHTML = "On";
		document.getElementById("picture").refresh();
	}
	
	function do_manual_off_cb(id)
	{
		do_update_data_cb();
		document.getElementById("curr_stat_id_"+id).innerHTML = "Off";
		document.getElementById("picture").refresh();
	}
	
	function do_manual_on(id)
	{
		z++;
		x_manual_on(id, do_manual_on_cb);
	}
	
	function do_manual_off(id)
	{
		z++;
		x_manual_off(id, do_manual_off_cb);
	}

	function updatePict()
	{
		document.getElementById("picture").src = "test.jpg?"+Math.random();
	}

	</script>
</head>
<body onLoad="setInterval('updatePict()', 4000)">
<table cellpadding="10" cellspacing="0" border="1">
<tr align="center" bgcolor="#e5e5e5"><td>Zone</td><td colspan="3">Start Time</td><td colspan="3">End Time</td><td>Enable/Disable</td><td colspan="2">Manual</td><td>Status</td></tr>

<?php
for($i=1; $i<=5; $i++)
{
	$sc = new sprinkler_connect($i);
	$sc->print_row();
}
?>
<tr align="center" bgcolor="#e5e5e5"><td colspan="11"><span id="update_click" style="text-decoration: underline; display:block; font-weight: bold; cursor: pointer;" onclick="do_update_data(); return false;">Update</span><span id="temp"></span></td></tr>
<tr><td colspan="11"><img src="test.jpg" id="picture" /><br />Note: The server updates this image about every 4 seconds.</td></tr>
</table>
</body>
</html>