/*
 * SprinklerInterfaceControlDriver.java
 *
 * Created on June 29, 2005, 8:30 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package sprinklercontroller;

import jnpout32.*;

/**
 *
 * @author Evan
 */
public class SprinklerInterfaceControlDriver {
    private pPort port;
    private int outData;
    /** Creates a new instance of SprinklerInterfaceControlDriver */
    public SprinklerInterfaceControlDriver() {
        port = new pPort();
        outData = 0;
        port.output((short)outData);
    }
    
    public void issueCommand(String command){
        String temp[] = command.split(":");
        boolean cmdZoneOn = (temp[0].equals("ON")) ? true : false;
        int zone = Integer.parseInt(temp[1]);
        int newOutData = (short) Math.pow(2, (zone-1));
        
        if(cmdZoneOn){
            /*turn a section on*/
            outData = outData | newOutData;
        }
        else{
            /*turn a section off*/
            outData = outData & (~newOutData);
        }
        writeData();
    }
    
    private void writeData(){
        port.output((short)outData);
    }
}
