/*
 * SprinklerManualControl.java
 *
 * Created on July 7, 2005, 8:40 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package sprinklercontroller;

import timereventmodel.TimerCheck;
import timereventmodel.TimerEventListener;
import timereventmodel.TimerActionCommand;

/**
 *
 * @author Evan
 */
public class SprinklerManualControl implements TimerCheck {
    
    private TimerEventListener tel;
    private SprinklerZone[] zone;
    /** Creates a new instance of SprinklerManualControl */
    public SprinklerManualControl() {
    }
    
    public SprinklerManualControl(SprinklerZone[] zone){
        updateZoneData(zone);
    }
    
    public void check(){
        for(int i=0; i<5; i++){
            if(zone[i].isUpdateBool()){
                /*fire event to i + 1*/

                if(zone[i].isStatusBool()){
                    tel.timerActionPerformed(new TimerActionCommand("ON:"+(i+1)));
                }
                else{
                    tel.timerActionPerformed(new TimerActionCommand("OFF:"+(i+1)));
                }
                zone[i].setUpdateBool(false);
                zone[i].updateDB();
            }
        }
    }
    /**this is a bad OO model because we only have one listener
    *I'll fix this later*/
    public void addTimerListener(TimerEventListener tel){
        this.tel = tel;
    }
    
    public void updateZoneData(SprinklerZone[] zone){
        this.zone = zone;
    }
}
